summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--misc/mdic/README4
-rw-r--r--misc/mdic/mdic.SlackBuild76
-rw-r--r--misc/mdic/mdic.info10
-rw-r--r--misc/mdic/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/misc/mdic/README b/misc/mdic/README
new file mode 100644
index 0000000000..b08aece12d
--- /dev/null
+++ b/misc/mdic/README
@@ -0,0 +1,4 @@
+MDic is a free/open source multilingual dictionary for GNU/Linux.
+You have to just select (or highlight) a word to view its meaning on the
+screen. MDic is able to pronounce the words by default if espeak or
+festival is installed.
diff --git a/misc/mdic/mdic.SlackBuild b/misc/mdic/mdic.SlackBuild
new file mode 100644
index 0000000000..d28283dd80
--- /dev/null
+++ b/misc/mdic/mdic.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+# Slackware build script for Mdic dictionary
+#written by Mehdi Esmaeelpour ariarat@gmail.com www.slack-world.com
+
+PRGNAM=mdic
+VERSION=${VERSION:-0.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+if [ "$TMP" = "" ]; then
+TMP=${TMP:-/tmp/SBo}
+fi
+OUTPUT=${OUTPUT:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr ..
+ make VERBOSE=1
+ make install VERBOSE=1 DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING changelog README AUTHORS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/mdic.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/mdic.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/mdic/mdic.info b/misc/mdic/mdic.info
new file mode 100644
index 0000000000..8c74730f0b
--- /dev/null
+++ b/misc/mdic/mdic.info
@@ -0,0 +1,10 @@
+PRGNAM="mdic"
+VERSION="0.8.1"
+HOMEPAGE="http://mdic.gnufolks.org/"
+DOWNLOAD="http://d10xg45o6p6dbl.cloudfront.net/projects/m/mdic/mdic-0.8.1.tar.gz"
+MD5SUM="07fd86daeb374df5be0943e2990f3b27"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ariarat"
+EMAIL="ariarat@gmail.com"
+APPROVED="rworkman"
diff --git a/misc/mdic/slack-desc b/misc/mdic/slack-desc
new file mode 100644
index 0000000000..b7abb4c00a
--- /dev/null
+++ b/misc/mdic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mdic: MDic (free/open source multilingual dictionary)
+mdic:
+mdic: MDic is a free/open source multilingual dictionary for GNU/Linux.
+mdic:
+mdic: You have to just select (or highlight) a word to view its meaning
+mdic: on the screen. MDic is able to pronounce the words by default if
+mdic: espeak or festival is installed.
+mdic:
+mdic:
+mdic:
+mdic: